
/**
 * @author Radek Oslejsek
 */
public class Person implements Informing  {
    
    private String name;
    
    /**
     * 
     * @param name Name of the person
     */
    public Person(String name) {      
        this.name = name;
    }
    
    /**
     * Returns name of the person.
     * @return name of the person.
     */
    public String getName() {
        return name;
    }
    
    @Override
    public String toString() {
        return name;
    }
    
    @Override
    public void writeInfo() {
        System.out.println("Person " + getName());
    }
}
